# Reflux <img src="https://img.shields.io/badge/license-MIT-blue.svg?style=flat-square"> <a href="https://github.com/frissyn/Reflux/releases"><img src="https://img.shields.io/github/release/frissyn/Reflux.svg?style=flat-square"></a> <img src="https://img.shields.io/uptimerobot/ratio/m789613888-63da553f1a743d8870946ed3?style=flat-square">

Reflux is a third-party tool for creating and publishing site-wide style themes to Replit! Using Reflux, users can easily change Replit's default CSS variables, and share thier created themes with other users via the [marketplace](https://market.reflux.repl.co/). Find the quickstart example [here](https://replit.com/@reflux/template). Fork it and follow the guide to get started using Reflux and creating themes on Replit!

### Showcase

![image](https://storage.googleapis.com/replit/images/1635881358588_fb0b7e55745d4ffcdfce7ec2f5c33fd7.png)

![image](https://storage.googleapis.com/replit/images/1635881352143_96390d7d5b4809e8ef1f83a9e2bf8355.png)

### Installation

|Manager          |Command                                       |
|:----------------|:---------------------------------------------|
|**pip**          |`pip install reflux`                          |
|**poetry**       |`python -m poetry add reflux`                 |
|**replit**       |Search `reflux` in the Packages tab and `+` it|

### Documentation

Find extensive documentation on Reflux and it uses [here](https://github.com/frissyn/Reflux/tree/master/docs).

### Contributing

1. Fork the repository: [`Fork`](https://github.com/frissyn/Reflux/fork)
2. Clone locally (`git clone https://github.com/<username>/Reflux.git`)
3. Create your feature branch (`git checkout -b my-new-feature`)
4. Commit your changes (`git commit -a -m 'Add some feature'`)
5. Push to the branch (`git push origin my-new-feature`)
6. Create a new Pull Request! 🎉

**Local Developement:**

In order to properly test the Reflux package locally run `bash bin/local` in the project directory. `bash bin/clean` will delete the tarball and build directories.